#ifndef __DYNFLOAT_H__
#define __DYNFLOAT_H__

#include "genlib.h"

class DynFloat
{
public:
  DynFloat();
  ~DynFloat();

public:
  VOID Null();
  VOID Update();

public:
  inline FLOAT GetValue();
  inline VOID SetValue(FLOAT fValue);
  inline VOID SetTclBlock(CHAR *pcTclBlock);
  inline BOOL GetDynamic();

protected:
  FLOAT m_fValue;
  CHAR *m_pcTclBlock;
};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

inline FLOAT DynFloat::GetValue()
{
  return m_fValue;
}

inline VOID DynFloat::SetValue(FLOAT fValue)
{
  m_fValue = fValue;
}

inline VOID DynFloat::SetTclBlock(CHAR *pcTclBlock)
{
  m_pcTclBlock = pcTclBlock;
}

inline BOOL DynFloat::GetDynamic()
{
  return m_pcTclBlock != NULL;
}

#endif __DYNFLOAT_H__
