#ifndef __HASHSTRING_H__
#define __HASHSTRING_H__

#include "genlib.h"

class CHashString
{
public:
  CHashString();
  ~CHashString();
  BOOL Init(INT_32 iSize = 127);

protected:
  VOID Uninit();

public:
  VOID *Insert(VOID *pvData, const CHAR *pcKey); //inserts entry into HashString
  VOID *Peek(const CHAR *pcKey);
  VOID *Remove(const CHAR *pcKey);
  VOID *RemoveFirst();
  VOID Display();			//displays the HashString

protected:
  VOID *m_pCHashTable;
};

#endif // __HASHSTRING_H__







