#ifndef __SLIDE_H__
#define __SLIDE_H__

#include "genlib.h"

enum SLIDEReservedWordType 
{
  sliderwtSLF_INHERIT, 
  sliderwtTclInit, 
  sliderwtTclUpdate, 
  sliderwtTclTag, 
  sliderwtRender, 
  sliderwtEndRender, 
  sliderwtWindow, 
  sliderwtEndWindow, 
  sliderwtOrigin, 
  sliderwtWinSize, 
  sliderwtBackground, 
  sliderwtViewport, 
  sliderwtEndViewport, 
  sliderwtCamera, 
  sliderwtEndCamera, 
  sliderwtProjection, 
  sliderwtFrustum, 
  sliderwtLight, 
  sliderwtEndLight,
  sliderwtType, 
  sliderwtDeadDistance, 
  sliderwtFallOff, 
  sliderwtAngularFallOff, 
  sliderwtGroup, 
  sliderwtEndGroup, 
  sliderwtInstance, 
  sliderwtEndInstance, 
  sliderwtCameraInstance, 
  sliderwtEndCameraInstance, 
  sliderwtLightInstance, 
  sliderwtEndLightInstance, 
  sliderwtTranslate, 
  sliderwtScale, 
  sliderwtRotate, 
  sliderwtLookAt, 
  sliderwtEndLookAt, 
  sliderwtEye, 
  sliderwtTarget, 
  sliderwtUp, 
//  sliderwtGeneral, 
  sliderwtObject, 
  sliderwtEndObject, 
  sliderwtFace, 
  sliderwtEndFace, 
  sliderwtPoint, 
  sliderwtEndPoint, 
  sliderwtSurface, 
  sliderwtEndSurface, 
  sliderwtColor, 
  sliderwtReflectivity, 
  sliderwtExponent, 
  sliderwtMetallic, 
  sliderwtID, 
  sliderwtShading, 
  sliderwtLOD, 
  sliderwtSolid, 
  sliderwtNormal, 
  sliderwtTexture, 
  sliderwtSize
};

extern CHAR *gcppcSLIDEReservedWords[sliderwtSize];

enum SLIDEOnOffType 
{
  slideoftSLF_OFF, 
  slideoftSLF_ON, 
  slideoftSize
};

extern CHAR *gcppcSLIDEOnOffReservedWords[slideoftSize];

enum SLIDESolidType 
{
  slidestSLF_SOLID, 
  slidestSLF_HOLLOW, 
  slidestSize
};

extern CHAR *gcppcSLIDESolidReservedWords[slidestSize];

enum SLIDEShadingType 
{
  slideshtSLF_INHERIT, 
  slideshtSLF_WIRE, 
  slideshtSLF_FLAT, 
  slideshtSLF_GOURAUD, 
  slideshtSLF_PHONG, 
  slideshtSize
};

extern CHAR *gcppcSLIDEShadingReservedWords[slideshtSize];

enum SLIDELODType 
{
  slidelodtSLF_OFF, 
  slidelodtSLF_BOUND, 
  slidelodtSLF_EDGES, 
  slidelodtSLF_FULL, 
  slidelodtSize
};

extern CHAR *gcppcSLIDELODReservedWords[slidelodtSize];

enum SLIDEProjectionType 
{
  slidepjtSLF_PARALLEL, 
  slidepjtSLF_PERSPECTIVE, 
  slidepjtSize
};

extern CHAR *gcppcSLIDEProjectionReservedWords[slidepjtSize];

enum SLIDELightType 
{
  slideltSLF_AMBIENT, 
  slideltSLF_DIRECTIONAL, 
  slideltSLF_POINT, 
  slideltSLF_SPOT, 
  slideltSize
};

extern CHAR *gcppcSLIDELightReservedWords[slideltSize];

#endif // __SLIDE_H__

