#ifndef __SLIDEROTATE_H__
#define __SLIDEROTATE_H__

#include "slidetransform.h"

//////////////////////////////////////////////////////////////////////
// CSLIDERotate Class
//

class CSLIDERotate : public CSLIDETransform
{
//////////////////////////////////////////////////
// Enumerated Types
//

//////////////////////////////////////////////////
// Initialization
//
public:
  CSLIDERotate();
  virtual ~CSLIDERotate();
  virtual VOID Init(CHAR *pcFile, UINT_32 uiLine, UINT_32 uiColumn, 
		    DynVector *pdynvAxis, DynFloat *pdynfTheta);
  virtual VOID Uninit();

  virtual BOOL Initialized();

  virtual BOOL CheckSemantics(CSLIDEWorld *pCSLIDEWorld);

  virtual BOOL Valid();

//////////////////////////////////////////////////
// Geometric Computations
//
public:

protected:
  virtual VOID CheckDynamic();
  virtual VOID UpdateState();

//////////////////////////////////////////////////
// Rendering
//
public:

//////////////////////////////////////////////////
// Output Functions
//
public:
  virtual VOID WriteSLIDE(FILE *fpOutputFile);

//////////////////////////////////////////////////
// Accessor Functions
//
public:

//////////////////////////////////////////////////
// Class Variables
//
public:

//////////////////////////////////////////////////
// Member Variables
//
protected:
  DynVector m_vAxis;
  DynFloat m_dynfTheta;
};

//////////////////////////////////////////////////////////////////////
// Inlined Functions
//

#endif // __SLIDEROTATE_H__


